> ## Documentation Index
> Fetch the complete documentation index at: https://devzone.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Drivers

> Retrieves a list of drivers based on various query parameters, such as ActorId, DriverStatusId, and multiple search options (e.g., by DriverId, UserId, Fullname, etc.).



## OpenAPI

````yaml /openapi/lynx.yaml get /v1/Scheduling/drivers
openapi: 3.0.1
info:
  title: Nayax Operational Lynx API
  version: v1
servers:
  - url: https://qa-lynx.nayax.com/operational
security:
  - Authorization: []
paths:
  /v1/Scheduling/drivers:
    get:
      tags:
        - Scheduling
      summary: Get Drivers
      description: >-
        Retrieves a list of drivers based on various query parameters, such as
        ActorId, DriverStatusId, and multiple search options (e.g., by DriverId,
        UserId, Fullname, etc.).
      operationId: get-drivers
      parameters:
        - name: ActorId
          in: query
          description: The unique identifier of the actor associated with the drivers.
          schema:
            type: integer
            format: int64
        - name: DriverStatusId
          in: query
          description: The status identifier of the drivers to filter the results.
          schema:
            type: integer
            format: int32
        - name: Search
          in: query
          description: A search string used to find drivers based on various fields.
          schema:
            type: string
        - name: SearchByDriverId
          in: query
          description: Indicates whether to search by DriverId.
          schema:
            type: boolean
            default: false
        - name: SearchByUserId
          in: query
          description: Indicates whether to search by UserId.
          schema:
            type: boolean
            default: false
        - name: SearchByFullname
          in: query
          description: Indicates whether to search by the driver's fullname.
          schema:
            type: boolean
            default: false
        - name: SearchByMobile
          in: query
          description: Indicates whether to search by the driver's mobile number.
          schema:
            type: boolean
            default: false
        - name: SearchByEmail
          in: query
          description: Indicates whether to search by the driver's email address.
          schema:
            type: boolean
            default: false
        - name: SearchByIdNumber
          in: query
          description: Indicates whether to search by the driver's identification number.
          schema:
            type: boolean
            default: false
        - name: SearchByDriverLicense
          in: query
          description: Indicates whether to search by the driver's license number.
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: A list of drivers that match the specified criteria.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DriverResponseDto'
components:
  schemas:
    DriverResponseDto:
      type: object
      properties:
        Id:
          type: string
          format: uuid
          description: The unique identifier of the driver.
        DistributorId:
          type: integer
          format: int64
          description: The unique identifier of the distributor associated with the driver.
        OperatorId:
          type: integer
          format: int64
          description: The unique identifier of the operator associated with the driver.
        OperatorName:
          type: string
          nullable: true
          description: The name of the operator associated with the driver.
        UserId:
          type: integer
          format: int64
          description: The unique identifier of the user associated with the driver.
        FullName:
          type: string
          nullable: true
          description: The full name of the driver.
        Mobile:
          type: string
          nullable: true
          description: The mobile phone number of the driver.
        Email:
          type: string
          nullable: true
          description: The email address of the driver.
        DriverLicense:
          type: string
          nullable: true
          description: The driver's license number of the driver.
        IdNumber:
          type: string
          nullable: true
          description: The identification number of the driver.
        Img:
          type: string
          nullable: true
          description: The URL to the driver's image.
        DriverStatusId:
          type: integer
          format: int32
          nullable: true
          description: >-
            The status identifier of the driver, indicating their current
            status.
        StartDate:
          type: string
          nullable: true
          description: The date when the driver started working.
        Skills:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
          description: A list of skill identifiers associated with the driver.
        WorkingHours:
          type: string
          nullable: true
          description: The working hours of the driver.
        CreatedBy:
          type: integer
          format: int64
          description: The identifier of the user who created the driver entry.
        CreatedDt:
          type: string
          format: date-time
          description: The date and time when the driver entry was created.
        UpdatedBy:
          type: integer
          format: int64
          nullable: true
          description: The identifier of the user who last updated the driver entry.
        UpdatedDt:
          type: string
          format: date-time
          nullable: true
          description: The date and time when the driver entry was last updated.
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Enter your Bearer token. It's required to authenticate API requests.

````